Bug 532642 - The --cookiefile argument is not honoured
The --cookiefile argument is not honoured
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: python-bugzilla (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Will Woods
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-03 03:49 EST by Joni Yrjana
Modified: 2010-06-28 11:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 11:22:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to force the use of --cookiefile argument or if the argument is not present, don't use cookiefile at all (694 bytes, patch)
2009-11-03 03:49 EST, Joni Yrjana
no flags Details | Diff

  None (edit)
Description Joni Yrjana 2009-11-03 03:49:27 EST
Created attachment 367269 [details]
Patch to force the use of --cookiefile argument or if the argument is not present, don't use cookiefile at all

Description of problem:
The /usr/bin/bugzilla command does not honour --cookiefile. The authentication cookies are always saved under ~/.bugzillacookies, no matter what one sets with --cookiefile argument.

Additional/related problem is that one can't define /usr/bin/bugzilla to not to use any cookiefile at all.

I need to be able to use a differently named cookiefile or no cookiefile at all, because I have no write access to the home directory of the user using the /usr/bin/bugzilla command.


Version-Release number of selected component (if applicable):
python-bugzilla-0.5.1-2.fc11.noarch


How reproducible:
Always.


Steps to Reproduce:
1. Try to use the --cookiefile="something" argument

  
Actual results:
The authentication cookies are saved in ~/.bugzillacookies


Expected results:
The authentication cookies should have been saved in "something"


Additional info:
This is how I tested it:
[joyr@joyr ~]$ rm ~/.bugzillacookies /tmp/MY_PRECIOUS_COOKIES
rm: cannot remove `/tmp/MY_PRECIOUS_COOKIES': No such file or directory
[joyr@joyr ~]$ bugzilla --bugzilla='http://.../bugzilla/xmlrpc.cgi' --cookiefile=/tmp/MY_PRECIOUS_COOKIES --user='...@...' --password='...' login
Logging in... Authorization cookie received.
[joyr@joyr ~]$ ls -l ~/.bugzillacookies /tmp/MY_PRECIOUS_COOKIES
ls: cannot access /tmp/MY_PRECIOUS_COOKIES: No such file or directory
-rw------- 1 joyr joyr 284 2009-11-03 10:35 /home/joyr/.bugzillacookies
[joyr@joyr ~]$ rpm -q python-bugzilla


I have attached a small patch (my first Python experience) which is probably not the ideal way to fix this, but works for my needs.
Comment 1 Bug Zapper 2010-04-28 07:03:54 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-06-28 11:22:37 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.